VERSION 5.00
Begin VB.Form FrmIO 
   Caption         =   "IO configuration"
   ClientHeight    =   2070
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4890
   LinkTopic       =   "Form1"
   ScaleHeight     =   2070
   ScaleWidth      =   4890
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   615
      Left            =   2640
      TabIndex        =   3
      Top             =   1080
      Width           =   1695
   End
   Begin VB.CommandButton CmdSetIO 
      Caption         =   "Set"
      Height          =   615
      Left            =   360
      TabIndex        =   2
      Top             =   1080
      Width           =   1695
   End
   Begin VB.TextBox IOtxt 
      Height          =   285
      Left            =   360
      TabIndex        =   1
      Text            =   "GPIB0::5::INSTR"
      Top             =   480
      Width           =   4095
   End
   Begin VB.Label Label1 
      Caption         =   "Enter VISA initialization string here:"
      Height          =   375
      Left            =   360
      TabIndex        =   0
      Top             =   240
      Width           =   2775
   End
End
Attribute VB_Name = "FrmIO"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
''   Agilent Technologies, Inc. 2010
''
'' You have a royalty-free right to use, modify, reproduce and distribute
'' the Sample Application Files (and/or any modified version) in any way
'' you find useful, provided that you agree that Agilent Technologies has no
'' warranty,  obligations or liability for any Sample Application Files.
''
'' Agilent Technologies provides programming examples for illustration only,
'' This sample program assumes that you are familiar with the programming
'' language being demonstrated and the tools used to create and debug
'' procedures. Agilent Technologies support engineers can help explain the
'' functionality of Agilent Technologies software components and associated
'' commands, but they will not modify these samples to provide added
'' functionality or construct procedures to meet your specific needs.
'' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
    Option Explicit



Private Sub cmdCancel_Click()
    End
End Sub

Private Sub CmdSetIO_Click()
' Establish communication and determine which form to load
    Dim ioaddress As String
    Dim passfail As Boolean
    Dim i As Integer
    
    ioaddress = IOtxt.Text
    passfail = set_io(ioaddress, inst)
    If passfail = False Then Exit Sub
    get_model_info
    FrmIO.Visible = False
    Select Case kind
        Case "Single"
            FrmStd.Visible = True
        Case "Mobile Comms"
            FrmMobl.Visible = True
        Case "N6700modular"
            frmN6700.Visible = True
        Case "error"
            Load frmReset
            frmReset.Visible = True
            Unload FrmIO
            Load FrmIO
            Unload frmReset
            FrmIO.Visible = True
    End Select
    
End Sub
